PXMLParser Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLParser:

## Public Member Functions

| PXMLParser (int options=NoOptions)
| ~PXMLParser ()
bool | Parse (const char *data, int dataLen, bool final)
void | GetErrorInfo (PString &errorString, unsigned &errorCol, unsigned &errorLine)
virtual void | StartElement (const char *name, const char **attrs)
virtual void | EndElement (const char *name)
virtual void | AddCharacterData (const char *data, int len)
virtual void | XmlDecl (const char *version, const char *encoding, int standAlone)
virtual void | StartDocTypeDecl (const char *docTypeName, const char *sysid, const char *pubid, int hasInternalSubSet)
virtual void | EndDocTypeDecl ()
virtual void | StartNamespaceDeclHandler (const char *prefix, const char *uri)
virtual void | EndNamespaceDeclHandler (const char *prefix)
PString | GetVersion () const
PString | GetEncoding () const
StandAloneType | GetStandAlone () const
PXMLElement * | GetXMLTree () const
PXMLElement * | SetXMLTree (PXMLElement *newRoot)
Public Member Functions inherited from PXMLBase
| PXMLBase (int opts=NoOptions)
void | SetOptions (int opts)
int | GetOptions () const
virtual PBoolean | IsNoIndentElement (const PString &) const
void | SetMaxEntityLength (unsigned len)
unsigned | GetMaxEntityLength () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

void * | expat
PXMLElement * | rootElement
bool | rootOpen
PXMLElement * | currentElement
PXMLData * | lastElement
PString | version
PString | encoding
StandAloneType | m_standAlone
PStringToString | m_tempNamespaceList
Protected Attributes inherited from PXMLBase
int | m_options
unsigned | m_maxEntityLength

## Additional Inherited Members

Public Types inherited from PXMLBase
enum | { DEFAULT_MAX_ENTITY_LENGTH = 4096 }
enum | Options { NoOptions = 0x0000, Indent = 0x0001, NewLineAfterElement = 0x0002, NoIgnoreWhiteSpace = 0x0004, CloseExtended = 0x0008, WithNS = 0x0010, FragmentOnly = 0x0020, AllOptions = 0xffff }
enum | StandAloneType { UninitialisedStandAlone = -2, UnknownStandAlone = -1, NotStandAlone, IsStandAlone }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## PXMLParser()

PXMLParser::PXMLParser | ( | int | options = `NoOptions` | ) |

## ~PXMLParser()

PXMLParser::~PXMLParser | ( |  | ) |

## Member Function Documentation

## AddCharacterData()

virtual void PXMLParser::AddCharacterData | ( | const char * | data,
|  | int | len
| ) |  |

virtual

## EndDocTypeDecl()

virtual void PXMLParser::EndDocTypeDecl | ( |  | ) |

virtual

## EndElement()

virtual void PXMLParser::EndElement | ( | const char * | name | ) |

virtual

Reimplemented in PXMLStreamParser.

## EndNamespaceDeclHandler()

virtual void PXMLParser::EndNamespaceDeclHandler | ( | const char * | prefix | ) |

virtual

## GetEncoding()

PString PXMLParser::GetEncoding | ( |  | ) | const

inline

References PXML::encoding.

## GetErrorInfo()

void PXMLParser::GetErrorInfo | ( | PString & | errorString,
|  | unsigned & | errorCol,
|  | unsigned & | errorLine
| ) |  |

## GetStandAlone()

StandAloneType PXMLParser::GetStandAlone | ( |  | ) | const

inline

References PXML::m_standAlone.

## GetVersion()

PString PXMLParser::GetVersion | ( |  | ) | const

inline

References PXML::version.

## GetXMLTree()

PXMLElement* PXMLParser::GetXMLTree | ( |  | ) | const

## Parse()

bool PXMLParser::Parse | ( | const char * | data,
|  | int | dataLen,
|  | bool | final
| ) |  |

## SetXMLTree()

PXMLElement* PXMLParser::SetXMLTree | ( | PXMLElement * | newRoot | ) |

## StartDocTypeDecl()

virtual void PXMLParser::StartDocTypeDecl | ( | const char * | docTypeName,
|  | const char * | sysid,
|  | const char * | pubid,
|  | int | hasInternalSubSet
| ) |  |

virtual

## StartElement()

virtual void PXMLParser::StartElement | ( | const char * | name,
|  | const char ** | attrs
| ) |  |

virtual

## StartNamespaceDeclHandler()

virtual void PXMLParser::StartNamespaceDeclHandler | ( | const char * | prefix,
|  | const char * | uri
| ) |  |

virtual

## XmlDecl()

virtual void PXMLParser::XmlDecl | ( | const char * | version,
|  | const char * | encoding,
|  | int | standAlone
| ) |  |

virtual

## Member Data Documentation

## currentElement

PXMLElement* PXMLParser::currentElement

protected

## encoding

PString PXMLParser::encoding

protected

## expat

void* PXMLParser::expat

protected

## lastElement

PXMLData* PXMLParser::lastElement

protected

## m_standAlone

StandAloneType PXMLParser::m_standAlone

protected

## m_tempNamespaceList

PStringToString PXMLParser::m_tempNamespaceList

protected

## rootElement

PXMLElement* PXMLParser::rootElement

protected

## rootOpen

bool PXMLParser::rootOpen

protected

## version

PString PXMLParser::version

protected

The documentation for this class was generated from the following file:

- pxml.h